
c
c
c
c     =====================================================
       subroutine qinit(maxmx,maxmy,maxmz,meqn,mbc,mx,my,mz,
     &                   xlower,ylower,zlower,dx,dy,dz,q,maux,aux)
c     =====================================================
c
c     # Set initial conditions for q.
c
       implicit double precision (a-h,o-z)
c
       dimension q(1-mbc:maxmx+mbc, 1-mbc:maxmy+mbc,
     &             1-mbc:maxmz+mbc, meqn)
       dimension aux(1-mbc:maxmx+mbc, 1-mbc:maxmy+mbc,
     &       1-mbc:maxmz+mbc, maux)
c
c     # set initial data
c     ---------------------------
c

       do i = 1,mx
          do j = 1,my
             do k = 1,mz
                q(i,j,k,1) = 0.d0
                q(i,j,k,2) = 0.d0
                q(i,j,k,3) = 0.d0
                q(i,j,k,4) = 0.d0
                enddo
             enddo
          enddo

      return
      end
